### Constructor

# GUPnPAV ProtocolInfo new_from_string

#### Declaration [src]

    GUPnPProtocolInfo*
    gupnp_protocol_info_new_from_string (
      const char* protocol_info,
      GError** error
    )

#### Description [src]

Parses the `protocol_info` string and creates a new `GUPnPProtocolInfo` object as a result.

#### Parameters

`protocol_info`

  Type: `const char*`

  The protocol info string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GUPnPProtocolInfo`

A new `GUPnPProtocolInfo` object. Unref after usage.

The caller of the function takes ownership of the data, and is responsible for freeing it.